[arch-commits] Commit in gnome-builder/repos/extra-x86_64 (PKGBUILD PKGBUILD)

Jelle van der Waa jelle at archlinux.org
Sat Jan 5 14:30:51 UTC 2019


    Date: Saturday, January 5, 2019 @ 14:30:43
  Author: jelle
Revision: 343002

archrelease: copy trunk to extra-x86_64

Added:
  gnome-builder/repos/extra-x86_64/PKGBUILD
    (from rev 343001, gnome-builder/trunk/PKGBUILD)
Deleted:
  gnome-builder/repos/extra-x86_64/PKGBUILD

----------+
 PKGBUILD |  105 ++++++++++++++++++++++++++++++-------------------------------
 1 file changed, 53 insertions(+), 52 deletions(-)

Deleted: PKGBUILD
===================================================================
--- PKGBUILD	2019-01-05 14:30:27 UTC (rev 343001)
+++ PKGBUILD	2019-01-05 14:30:43 UTC (rev 343002)
@@ -1,52 +0,0 @@
-# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
-
-pkgname=gnome-builder
-pkgver=3.30.2
-pkgrel=1
-pkgdesc="An IDE for writing GNOME-based software"
-url="https://wiki.gnome.org/Apps/Builder"
-arch=(x86_64)
-license=(GPL3)
-depends=(gtksourceview4 devhelp libgit2-glib gjs python-gobject clang desktop-file-utils
-         ctags libpeas vte3 vala python-jedi autoconf-archive sysprof flatpak gspell libdazzle
-         template-glib jsonrpc-glib python-sphinx webkit2gtk)
-makedepends=(intltool llvm gobject-introspection gtk-doc yelp-tools appstream-glib vala git
-             mm-common meson)
-checkdepends=(xorg-server-xvfb)
-optdepends=('gnome-code-assistance: Legacy assistance services')
-groups=(gnome-extra)
-_commit=9b6992211f6edbbab7162c44a10ffe86de5eca6e  # tags/3.30.2^0
-source=("git+https://gitlab.gnome.org/GNOME/gnome-builder.git#commit=$_commit")
-sha256sums=('SKIP')
-
-pkgver() {
-  cd $pkgname
-  git describe --tags | sed 's/^GNOME_BUILDER_//;s/_/./g;s/-/+/g'
-}
-
-prepare() {
-  cd $pkgname
-  git cherry-pick -n ba4d103
-}
-
-build() {
-  arch-meson $pkgname build \
-    --buildtype debugoptimized \
-    -D with_docs=true \
-    -D with_help=true \
-    -D with_editorconfig=true \
-    -D with_webkit=true \
-    -D with_vapi=true
-  ninja -C build
-}
-
-check() {
-  # some tests need an installed gnome-builder
-  xvfb-run meson test -C build || :
-}
-
-package() {
-  DESTDIR="$pkgdir" meson install -C build
-}
-
-# vim:set sw=2 et:

Copied: gnome-builder/repos/extra-x86_64/PKGBUILD (from rev 343001, gnome-builder/trunk/PKGBUILD)
===================================================================
--- PKGBUILD	                        (rev 0)
+++ PKGBUILD	2019-01-05 14:30:43 UTC (rev 343002)
@@ -0,0 +1,53 @@
+# Maintainer: Jan Alexander Steffens (heftig) <jan.steffens at gmail.com>
+
+pkgname=gnome-builder
+pkgver=3.30.2
+pkgrel=2
+pkgdesc="An IDE for writing GNOME-based software"
+url="https://wiki.gnome.org/Apps/Builder"
+arch=(x86_64)
+license=(GPL3)
+depends=(gtksourceview4 devhelp libgit2-glib gjs python-gobject clang desktop-file-utils
+         ctags libpeas vte3 vala python-jedi autoconf-archive sysprof flatpak gspell libdazzle
+         template-glib jsonrpc-glib python-sphinx webkit2gtk)
+makedepends=(intltool llvm gobject-introspection gtk-doc yelp-tools appstream-glib vala git
+             mm-common meson)
+checkdepends=(xorg-server-xvfb)
+optdepends=('gnome-code-assistance: Legacy assistance services'
+            'python-lxml: documentation support for Python auto-completion')
+groups=(gnome-extra)
+_commit=9b6992211f6edbbab7162c44a10ffe86de5eca6e  # tags/3.30.2^0
+source=("git+https://gitlab.gnome.org/GNOME/gnome-builder.git#commit=$_commit")
+sha256sums=('SKIP')
+
+pkgver() {
+  cd $pkgname
+  git describe --tags | sed 's/^GNOME_BUILDER_//;s/_/./g;s/-/+/g'
+}
+
+prepare() {
+  cd $pkgname
+  git cherry-pick -n ba4d103
+}
+
+build() {
+  arch-meson $pkgname build \
+    --buildtype debugoptimized \
+    -D with_docs=true \
+    -D with_help=true \
+    -D with_editorconfig=true \
+    -D with_webkit=true \
+    -D with_vapi=true
+  ninja -C build
+}
+
+check() {
+  # some tests need an installed gnome-builder
+  xvfb-run meson test -C build || :
+}
+
+package() {
+  DESTDIR="$pkgdir" meson install -C build
+}
+
+# vim:set sw=2 et:


More information about the arch-commits mailing list